标签 glibc_2.14 下的文章

浅谈`/lib64/libc.so.6: version 'GLIBC_2.14' not found`

  用python+Pyinstaller搞了个自动备份到七牛云的程序,打包后准备部署到服务器,结果报错/lib64/libc.so.6: version 'GLIBC_2.14' not found,尝试过各种办法都不行,当我还在继续寻找解决办法的时候突然看到篇文章说因为升级GLIBC几乎整个系统都崩溃,升级GLIBC是个高风险的操作。我信了,于是就开始找其他解决办法。
  去看了Pyinstaller文档才知道不能在高版本系统中编译后拿到低版本系统去跑。最好是在低版本系统中编译!而我是在ubuntu16.10中打包的,centos6.2中运行。
  so,换了个centos6.2重新打包然后部署,一切顺利!